动力节点口口相传的Java黄埔军校
Java自定义异常详解及实例代码
2019-09-09 来源:动力节点


今天动力节点java培训机构小编为大家介绍“Java自定义异常详解及实例代码”希望通过此文能够帮助到大家,下面就随小编一起看看Java自定义异常详解及实例代码。


java自定义异常


class ChushulingException extends Exception 

  public ChushulingException(String msg) 

  { 

    super(msg); 

  } 

}  

  

class ChushufuException extends Exception 

  public ChushufuException(String msg) 

  { 

    super(msg); 

  } 

}


 java 自定义异常 End  


class Numbertest  

  public int shang(int x,int y) throws ChushulingException,ChushufuException 

  { 

    if(y<0) 

    { 

      throw new ChushufuException("您输入的是"+y+",规定除数不能为负数!");//抛出异常 

    } 

    if(y==0) 

    { 

      throw new ChushulingException("您输入的是"+y+",除数不能为0!"); 

    } 

    

    int m=x/y; 

    return m; 

  } 

  

  

  

  

  

class Rt001 

  public static void main(String[]args) 

  { 

    Numbertest n=new Numbertest(); 

  

    //捕获异常 

    try

    { 

      System.out.println("商="+n.shang(1,-3)); 

    } 

    catch(ChushulingException yc) 

    { 

      System.out.println(yc.getMessage()); 

      yc.printStackTrace(); 

    } 

    catch(ChushufuException yx) 

    { 

      System.out.println(yx.getMessage()); 

      yx.printStackTrace(); 

    } 

    catch(Exception y) 

    { 

      System.out.println(y.getMessage()); 

      y.printStackTrace(); 

    } 

    

  finally{ System.out.println("finally!");} ////finally不管发没发生异常都会被执行  

  

  } 

/* 



总结


1、java自定义异常: 


class 异常类名 extends Exception 

  public 异常类名(String msg) 

  { 

    super(msg); 

  } 


2、标识可能抛出的异常:  


throws 异常类名1,异常类名2  


3、捕获异常: 


try{} 


catch(异常类名 y){} 


catch(异常类名 y){}


 4、方法解释  


getMessage() //输出异常的信息 


printStackTrace() //输出导致异常更为详细的信息 


以上就是动力节点java培训机构小编介绍的“Java自定义异常详解及实例代码”的内容,希望对大家有帮助,更多java最新资讯请继续关注动力节点java培训机构官网,每天会有精彩内容分享与你。


相关免费视频教程推荐


java菜鸟入门教程下载——自定义异常:http://www.bjpowernode.com/xiazai/2551.html


开班信息

同类文章

微信搜索“动力节点Java学院“或扫二维码

关注官方微信免费领学习资料

动力节点Java培训机构,行业口碑最好的Java培训机构。

立即抢名额